> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperbeam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Starting a Console Emulator

> Initiate a Console Emulator using Hyperbeam

## Request Access

This feature is currently in private beta. [Request access here.](https://docs.google.com/forms/d/e/1FAIpQLSdsVFZ4cQ4Q2nHNRhwb6SvmJIekv7fuQVa27zWnk_r5F48B5w/viewform?usp=pp_url)

## Parameters

**type** `string` *required* (default: '')

The console type. nes, snes, n64, and ps1 are supported.

**room\_url** `string` *required* (default: '')

URL to a legal ROM file, which will be downloaded and loaded into the
emulator.

**auth** `object` (default: "auth": \{"type": "token"}})

The authentication system for the cloud computer. See the “cloud computer
authentication” section for more info.

```json Response Example theme={null}
{
  "session_id": "52f968cb-6739-4197-83d7-2305fe5d6f54",
  "embed_url": "https://vwdrccwgpv181powg61ggyvy.hyperbeam.com/Uvloy2c5QZeD1yMF_l1vVA?token=c8iw3SmQglOU0ugfLr3dWY2LalSKI_WOGUldEt8knbw",
  "admin_token": "51JOZEEcMp4trCwbpTS3jjQc0lSmeAZpPfxioDqe73U"
}
```

## Response

**session\_id** `string`

The ID of the cloud computer session

**embed\_url** `string`

A URL you can load into the [web client](https://docs.hyperbeam.com/client-sdk/javascript) on your
website

**admin\_token** `string`

A token that grants access to an exclusive subset of the client-side
JavaScript SDK. Needed for setting permissions and programmatic navigation


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.